Subject: RE: (usr-tc) RIP problem after renumbering

From: "Stainforth, Matthew" <[email-masked]>
Date: Fri, 11 Feb 2000 21:44:15 +0000

It's the combined mojo of Jeff McAdams, Mike Andrews, Krish, and Mike
Wronski mostly.

Matthew Stainforth  ||  Technical Services Manager ||  BrunNet Inc.

> -----Original Message-----
> From: Mark Thornton [mailto:[email-masked]]
> Sent: Friday, February 11, 2000 3:06 PM
> To: [email-masked]
> Subject: Re: (usr-tc) RIP problem after renumbering
> 
> 
> God, I love this list. The mere threat of asking my question 
> on the list
> forced the Cisco to wake up and start participating in the 
> rip sessions
> after 3 hours of waiting. Your karma must be powerful.
> 
> Mark Thornton
> San Marcos Internet, Inc.
> 512-393-5300
> 
> 
> ----- Original Message -----
> From: Mark Thornton <[email-masked]>
> To: <[email-masked]>
> Sent: Friday, February 11, 2000 12:30 PM
> Subject: (usr-tc) RIP problem after renumbering
> 
> 
> > We are moving to a new ip address block and this is causing 
> problems with
> my
> > cisco router. Specifically, when I specify "network 
> 63.90.208.0" in the
> > router rip configuration it creates the entry as "network 
> 63.0.0.0" and
> does
> > not pick up any of the rip routes from the chassis's I have 
> moved. The
> > chassis's themselves see the rip routes from the other 
> chassis's in the
> same
> > class C, but not the those in the old class C block.
> >
> > I'm sure I'm doing something wrong, but it eludes me at the 
> moment. Can
> > anyone help?
> >
> > Mark Thornton
> > San Marcos Internet, Inc.
> > 512-393-5300
> >
> >
> >
> >
> > -
> >  To unsubscribe to usr-tc, send an email to "[email-masked]"
> >  with "unsubscribe usr-tc" in the body of the message.
> >  For information on digests or retrieving files and old 
> messages send
> >  "help" to the same address.  Do not use quotes in your message.
> 
> 
> -
>  To unsubscribe to usr-tc, send an email to "[email-masked]"
>  with "unsubscribe usr-tc" in the body of the message.
>  For information on digests or retrieving files and old messages send
>  "help" to the same address.  Do not use quotes in your message.
> 

-
 To unsubscribe to usr-tc, send an email to "[email-masked]"
 with "unsubscribe usr-tc" in the body of the message.
 For information on digests or retrieving files and old messages send
 "help" to the same address.  Do not use quotes in your message.

---

From: Mike Andrews <[email-masked]>
Date: Sat, 12 Feb 2000 01:29:40 +0000

Nah, it probably just caught the flu I have. :p

(But one of Jeff Mcadams' co-workers or competitors gave the flu to me
last week at a Kentucky ISP meeting... probably competitors :)

Heh.

Seriously, make sure you have "ip classless" in your Cisco config and
"version 2" in the "router rip" section... sounds like it was trying to do
classful routing, which nobody should be doing in this decade. :)

Mike Andrews (MA12) * [email-masked] * http://www.bit0.com/
VP, sysadmin, & network guy, Digital Crescent Inc, Frankfort KY
Internet services for Frankfort, Lawrenceburg, Owenton, Shelbyville
"Don't sweat the petty things, and don't pet the sweaty things."

-

---

From: Jeff Mcadams <[email-masked]>
Date: Sat, 12 Feb 2000 02:09:45 +0000

Thus spake Mike Andrews

>last week at a Kentucky ISP meeting... probably competitors :)

Yeah...and now our lawyer is coming down with something too...lovely.
:)

>classful routing, which nobody should be doing in this decade. :)

Indeed...that's possible...even with "ip classless" though, if you don't
put a netmask or wildcard mask on your network statements, it'll assume
the "natural class mask"...so with the 63.x.x.x addresses in question,
IOS would assume a 255.0.0.0 netmask.  Unfortunately...I'm not sure you
can put a netmask or wildcard mask on the network statements in a
"router rip" section...that's something you'll proly need to check on.
It looks like my router isn't letting me do that (11.1(26)cc), but it
may be something that's quirky to that version or something...not sure.
If that's the case IOS wide...I'd personally consider it a bug in these
classless addressing days.  :)
-- 
Jeff McAdams                            Email: [email-masked]
Head Network Administrator              Voice: (502) 966-3848
IgLou Internet Services                        (800) 436-4456

-